use crate::result::MBGResult;
use x11rb::generated::xinerama;

pub fn get_max_resolution() -> MBGResult<(i32, i32)> {
    let (conn, _) = x11rb::connect(None).unwrap();
    let screens_info = xinerama::query_screens(&conn)?.reply()?.screen_info;
    let mut max_height = 0;
    let mut max_width = 0;
    for screen in screens_info.into_iter() {
        if screen.width >= max_width && screen.height >= max_height {
            max_height = screen.height;
            max_width = screen.width;
        }
    }
    Ok((max_height as i32, max_width as i32))
}

pub fn update_bg(_img_bytes: Vec<u8>) -> MBGResult<()> {
    debug!("TODO: Change background.");
    let (conn, _display_num) = x11rb::connect(None).unwrap();
    let screens_info = xinerama::query_screens(&conn)?.reply()?.screen_info;
    for screen in screens_info.into_iter() {
        info!("{:#?}", screen);
    }
    Ok(())
}
